CVE-2021-3546 log

Source
Severity Low
Remote No
Type Arbitrary code execution
Description
An out-of-bounds write vulnerability was found in the virtio vhost-user GPU device (vhost-user-gpu) of QEMU. The flaw exists in virgl_cmd_get_capset() in contrib/vhost-user-gpu/virgl.c and could occur while processing the 'VIRTIO_GPU_CMD_GET_CAPSET' command. A malicious guest could use this flaw to crash the QEMU process on the host, resulting in a denial of service, or potentially execute arbitrary code on the host with the privileges of the QEMU process.
Group Package Affected Fixed Severity Status Ticket
AVG-1898 qemu 6.0.0-3 Medium Vulnerable
References
https://www.openwall.com/lists/oss-security/2021/05/31/1
https://bugzilla.redhat.com/show_bug.cgi?id=1958978
https://gitlab.com/qemu-project/qemu/-/commit/9f22893adcb02580aee5968f32baa2cd109b3ec2